List
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/productVariants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '""'import requests
url = "https://api-staging.genuka.com/2023-11/admin/productVariants"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api-staging.genuka.com/2023-11/admin/productVariants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.genuka.com/2023-11/admin/productVariants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "\"\"",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-staging.genuka.com/2023-11/admin/productVariants"
payload := strings.NewReader("\"\"")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.genuka.com/2023-11/admin/productVariants")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.genuka.com/2023-11/admin/productVariants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "\"\""
response = http.request(request)
puts response.read_body{
"data": [
{
"barcode": "456340560",
"base_title": "Default Title",
"buffer_minutes": 0,
"compare_at_price": null,
"composite_stocks": [],
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"deposit": null,
"duration_minutes": 0,
"estimated_quantity": null,
"estimated_quantity_by_warehouse": [],
"follow_stock": 0,
"id": "01k74h4addkn48aptf2xyp5cyw",
"image_id": null,
"metadata": null,
"min_order_quantity": 1,
"options": [
0
],
"position": 1,
"price": 6500,
"product": {
"collections": [],
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"content": "Une description ici",
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"handle": "arachide-blanc-du-ndolet",
"id": "01k74h4acesr6y7vp6krqt5dqf",
"is_shippable": 1,
"is_taxable": 1,
"medias": [],
"menus": [],
"metadata": {
"image_ready": false
},
"options": [
{
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"id": "01k74h4afrgjy1st477j1esybm",
"metadata": {
"image_ready": false
},
"position": 1,
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"title": "Title",
"updated_at": "2025-10-09T13:07:29.000000Z",
"values": [
"Default Title"
]
}
],
"published": 1,
"shops": [
{
"address": null,
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T09:51:50.000000Z",
"currency_code": "XAF",
"currency_name": null,
"deleted_at": null,
"description": "This is the first shop",
"domains": [],
"id": "01k7464m19emgj0q6v0v95wp88",
"logo": null,
"logoUrl": "",
"metadata": null,
"name": "Pet Clinic Shop",
"pivot": {
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"shop_id": "01k7464m19emgj0q6v0v95wp88"
},
"slug": "pet-clinic-shop",
"updated_at": "2025-10-09T09:51:50.000000Z",
"warehouses": [
{
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T09:51:50.000000Z",
"deleted_at": null,
"description": "This is the first warehouse",
"id": "01k7464m1pykz767t3rv9d4q76",
"metadata": null,
"name": "Pet Clinic Warehouse",
"pivot": {
"metadata": null,
"shop_id": "01k7464m19emgj0q6v0v95wp88",
"warehouse_id": "01k7464m1pykz767t3rv9d4q76"
},
"updated_at": "2025-10-09T09:51:50.000000Z"
}
]
}
],
"supplier_id": null,
"title": "Arachide blanc du ndolet",
"type": "physical_goods",
"updated_at": "2025-10-09T13:07:29.000000Z",
"variants": [
{
"barcode": "456340560",
"compare_at_price": null,
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"follow_stock": 0,
"id": "01k74h4addkn48aptf2xyp5cyw",
"image_id": null,
"metadata": null,
"min_order_quantity": 1,
"options": [
0
],
"position": 1,
"price": 6500,
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"sku": "le paquet",
"taxable": 1,
"title": "Default Title",
"updated_at": "2025-10-09T13:03:54.000000Z",
"whatsapp_product_id": null
}
],
"vendor": null
},
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"professionals": [],
"service": {
"buffer_minutes": 0,
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"deposit": null,
"duration_minutes": 0,
"id": "01k74h4aeabwm6pkc1m5m9kjfp",
"metadata": null,
"product_variant_id": "01k74h4addkn48aptf2xyp5cyw",
"professionals": [],
"updated_at": "2025-10-09T13:03:54.000000Z"
},
"service_id": "01k74h4aeabwm6pkc1m5m9kjfp",
"sku": "le paquet",
"supplierproduct": null,
"taxable": 1,
"title": "Arachide blanc du ndolet",
"updated_at": "2025-10-09T13:03:54.000000Z",
"whatsapp_product_id": null
}
],
"links": {
"first": "http://genuka-api.test/2023-11/admin/productVariants?page=1",
"last": "http://genuka-api.test/2023-11/admin/productVariants?page=1",
"next": null,
"prev": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"active": false,
"label": "« Previous",
"page": null,
"url": null
},
{
"active": true,
"label": "1",
"page": 1,
"url": "http://genuka-api.test/2023-11/admin/productVariants?page=1"
},
{
"active": false,
"label": "Next »",
"page": null,
"url": null
}
],
"path": "http://genuka-api.test/2023-11/admin/productVariants",
"per_page": 15,
"to": 1,
"total": 1
}
}Variants
List all product variants
List all variant of products, product containts any variants.
GET
/
2023-11
/
admin
/
productVariants
List
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/productVariants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '""'import requests
url = "https://api-staging.genuka.com/2023-11/admin/productVariants"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}
};
fetch('https://api-staging.genuka.com/2023-11/admin/productVariants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.genuka.com/2023-11/admin/productVariants",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "\"\"",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-staging.genuka.com/2023-11/admin/productVariants"
payload := strings.NewReader("\"\"")
req, _ := http.NewRequest("GET", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.genuka.com/2023-11/admin/productVariants")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("\"\"")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.genuka.com/2023-11/admin/productVariants")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "\"\""
response = http.request(request)
puts response.read_body{
"data": [
{
"barcode": "456340560",
"base_title": "Default Title",
"buffer_minutes": 0,
"compare_at_price": null,
"composite_stocks": [],
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"deposit": null,
"duration_minutes": 0,
"estimated_quantity": null,
"estimated_quantity_by_warehouse": [],
"follow_stock": 0,
"id": "01k74h4addkn48aptf2xyp5cyw",
"image_id": null,
"metadata": null,
"min_order_quantity": 1,
"options": [
0
],
"position": 1,
"price": 6500,
"product": {
"collections": [],
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"content": "Une description ici",
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"handle": "arachide-blanc-du-ndolet",
"id": "01k74h4acesr6y7vp6krqt5dqf",
"is_shippable": 1,
"is_taxable": 1,
"medias": [],
"menus": [],
"metadata": {
"image_ready": false
},
"options": [
{
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"id": "01k74h4afrgjy1st477j1esybm",
"metadata": {
"image_ready": false
},
"position": 1,
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"title": "Title",
"updated_at": "2025-10-09T13:07:29.000000Z",
"values": [
"Default Title"
]
}
],
"published": 1,
"shops": [
{
"address": null,
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T09:51:50.000000Z",
"currency_code": "XAF",
"currency_name": null,
"deleted_at": null,
"description": "This is the first shop",
"domains": [],
"id": "01k7464m19emgj0q6v0v95wp88",
"logo": null,
"logoUrl": "",
"metadata": null,
"name": "Pet Clinic Shop",
"pivot": {
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"shop_id": "01k7464m19emgj0q6v0v95wp88"
},
"slug": "pet-clinic-shop",
"updated_at": "2025-10-09T09:51:50.000000Z",
"warehouses": [
{
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T09:51:50.000000Z",
"deleted_at": null,
"description": "This is the first warehouse",
"id": "01k7464m1pykz767t3rv9d4q76",
"metadata": null,
"name": "Pet Clinic Warehouse",
"pivot": {
"metadata": null,
"shop_id": "01k7464m19emgj0q6v0v95wp88",
"warehouse_id": "01k7464m1pykz767t3rv9d4q76"
},
"updated_at": "2025-10-09T09:51:50.000000Z"
}
]
}
],
"supplier_id": null,
"title": "Arachide blanc du ndolet",
"type": "physical_goods",
"updated_at": "2025-10-09T13:07:29.000000Z",
"variants": [
{
"barcode": "456340560",
"compare_at_price": null,
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"follow_stock": 0,
"id": "01k74h4addkn48aptf2xyp5cyw",
"image_id": null,
"metadata": null,
"min_order_quantity": 1,
"options": [
0
],
"position": 1,
"price": 6500,
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"sku": "le paquet",
"taxable": 1,
"title": "Default Title",
"updated_at": "2025-10-09T13:03:54.000000Z",
"whatsapp_product_id": null
}
],
"vendor": null
},
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"professionals": [],
"service": {
"buffer_minutes": 0,
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"deposit": null,
"duration_minutes": 0,
"id": "01k74h4aeabwm6pkc1m5m9kjfp",
"metadata": null,
"product_variant_id": "01k74h4addkn48aptf2xyp5cyw",
"professionals": [],
"updated_at": "2025-10-09T13:03:54.000000Z"
},
"service_id": "01k74h4aeabwm6pkc1m5m9kjfp",
"sku": "le paquet",
"supplierproduct": null,
"taxable": 1,
"title": "Arachide blanc du ndolet",
"updated_at": "2025-10-09T13:03:54.000000Z",
"whatsapp_product_id": null
}
],
"links": {
"first": "http://genuka-api.test/2023-11/admin/productVariants?page=1",
"last": "http://genuka-api.test/2023-11/admin/productVariants?page=1",
"next": null,
"prev": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"active": false,
"label": "« Previous",
"page": null,
"url": null
},
{
"active": true,
"label": "1",
"page": 1,
"url": "http://genuka-api.test/2023-11/admin/productVariants?page=1"
},
{
"active": false,
"label": "Next »",
"page": null,
"url": null
}
],
"path": "http://genuka-api.test/2023-11/admin/productVariants",
"per_page": 15,
"to": 1,
"total": 1
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Response
200 - application/json
200 OK
Show child attributes
Show child attributes
Example:
[
{
"barcode": "456340560",
"base_title": "Default Title",
"buffer_minutes": 0,
"compare_at_price": null,
"composite_stocks": [],
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"deposit": null,
"duration_minutes": 0,
"estimated_quantity": null,
"estimated_quantity_by_warehouse": [],
"follow_stock": 0,
"id": "01k74h4addkn48aptf2xyp5cyw",
"image_id": null,
"metadata": null,
"min_order_quantity": 1,
"options": [0],
"position": 1,
"price": 6500,
"product": {
"collections": [],
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"content": "Une description ici",
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"handle": "arachide-blanc-du-ndolet",
"id": "01k74h4acesr6y7vp6krqt5dqf",
"is_shippable": 1,
"is_taxable": 1,
"medias": [],
"menus": [],
"metadata": { "image_ready": false },
"options": [
{
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"id": "01k74h4afrgjy1st477j1esybm",
"metadata": { "image_ready": false },
"position": 1,
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"title": "Title",
"updated_at": "2025-10-09T13:07:29.000000Z",
"values": ["Default Title"]
}
],
"published": 1,
"shops": [
{
"address": null,
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T09:51:50.000000Z",
"currency_code": "XAF",
"currency_name": null,
"deleted_at": null,
"description": "This is the first shop",
"domains": [],
"id": "01k7464m19emgj0q6v0v95wp88",
"logo": null,
"logoUrl": "",
"metadata": null,
"name": "Pet Clinic Shop",
"pivot": {
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"shop_id": "01k7464m19emgj0q6v0v95wp88"
},
"slug": "pet-clinic-shop",
"updated_at": "2025-10-09T09:51:50.000000Z",
"warehouses": [
{
"company_id": "01k7464hqksr4f99rp3ff7x2jz",
"created_at": "2025-10-09T09:51:50.000000Z",
"deleted_at": null,
"description": "This is the first warehouse",
"id": "01k7464m1pykz767t3rv9d4q76",
"metadata": null,
"name": "Pet Clinic Warehouse",
"pivot": {
"metadata": null,
"shop_id": "01k7464m19emgj0q6v0v95wp88",
"warehouse_id": "01k7464m1pykz767t3rv9d4q76"
},
"updated_at": "2025-10-09T09:51:50.000000Z"
}
]
}
],
"supplier_id": null,
"title": "Arachide blanc du ndolet",
"type": "physical_goods",
"updated_at": "2025-10-09T13:07:29.000000Z",
"variants": [
{
"barcode": "456340560",
"compare_at_price": null,
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"follow_stock": 0,
"id": "01k74h4addkn48aptf2xyp5cyw",
"image_id": null,
"metadata": null,
"min_order_quantity": 1,
"options": [0],
"position": 1,
"price": 6500,
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"sku": "le paquet",
"taxable": 1,
"title": "Default Title",
"updated_at": "2025-10-09T13:03:54.000000Z",
"whatsapp_product_id": null
}
],
"vendor": null
},
"product_id": "01k74h4acesr6y7vp6krqt5dqf",
"professionals": [],
"service": {
"buffer_minutes": 0,
"created_at": "2025-10-09T13:03:54.000000Z",
"deleted_at": null,
"deposit": null,
"duration_minutes": 0,
"id": "01k74h4aeabwm6pkc1m5m9kjfp",
"metadata": null,
"product_variant_id": "01k74h4addkn48aptf2xyp5cyw",
"professionals": [],
"updated_at": "2025-10-09T13:03:54.000000Z"
},
"service_id": "01k74h4aeabwm6pkc1m5m9kjfp",
"sku": "le paquet",
"supplierproduct": null,
"taxable": 1,
"title": "Arachide blanc du ndolet",
"updated_at": "2025-10-09T13:03:54.000000Z",
"whatsapp_product_id": null
}
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
